#
# spec file for package perl-DBD-SQLite (Version 1.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-DBI perl-Net-Daemon perl-PlRPC permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed sqlite sqlite-devel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-DBD-SQLite
BuildRequires:  perl-DBI sqlite-devel
Summary:        The DBD::SQLite is a self contained RDBMS in a DBI driver
Version:        1.11
Release:        14.2
License:        GPL, Artistic License
Group:          Development/Libraries/Perl
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/DBD-SQLite-%{version}.tar.gz
Patch0:         makefile-forgiving.diff
Patch1:         dbimp-no_uninit.diff
URL:            http://www.cpan.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl-DBI sqlite
Requires:       perl = %{perl_version}
Autoreqprov:    on
Provides:       perl_sqlite

%description
SQLite is a small fast embedded SQL database engine.

DBD::SQLite embeds that database engine into a DBD driver, so if you
want a relational database for your project, but don't want to install
a large RDBMS system like MySQL or PostgreSQL, then DBD::SQLite may be
just what you need.

It supports quite a lot of features, such as transactions (atomic
commit and rollback), indexes, DBA-free operation, a large subset of
SQL92 supported, and more.



Authors:
--------
    Matt Sergeant, <matt@sergeant.org>

%debug_package
%prep
%setup -q -n DBD-SQLite-%{version}
%patch -p1
%patch1 -p1

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{_mandir}/man3/*
/var/adm/perl-modules/*

%changelog -n perl-DBD-SQLite
* Mon Mar 13 2006 - jw@suse.de
- fixed bugzilla#156965, unintialized variable.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Dec 04 2005 - jw@suse.de
- update to 1.11, feature++
* Fri Dec 02 2005 - jw@suse.de
- update to 1.10
  be more forgiving to sqlite3.h, it is buggy again.
* Tue Oct 04 2005 - dmueller@suse.de
- add norootforbuild
* Thu Jun 30 2005 - schwab@suse.de
- Fix neededforbuild.
* Wed Jun 29 2005 - jw@suse.de
- initial version 1.09
  Since 1.09 it can link against a system provided sqlite library,
  but uses its own copy due to a buggy sqlite3.h
